"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServeCommand = void 0;
const dev_server_1 = require("@rspack/dev-server");
const options_1 = require("../utils/options");
class ServeCommand {
    async apply(cli) {
        cli.program.command(["serve [entry..]", "server", "s"], "run the rspack dev server.", options_1.commonOptions, async (options) => {
            const rspackOptions = {
                ...options,
                argv: {
                    ...options
                }
            };
            const compiler = await cli.createCompiler(rspackOptions, "development");
            const server = new dev_server_1.RspackDevServer(compiler.options.devServer, compiler);
            await server.start();
        });
    }
}
exports.ServeCommand = ServeCommand;
//# sourceMappingURL=serve.js.map