import yargs from "yargs";
import { RspackCLIColors, RspackCLILogger, RspackCLIOptions } from "./types";
import { RspackOptions } from "@rspack/core";
declare type RspackEnv = "development" | "production";
export declare class RspackCLI {
    colors: RspackCLIColors;
    program: yargs.Argv<{}>;
    constructor();
    createCompiler(options: RspackCLIOptions, rspackEnv: RspackEnv): Promise<import("@rspack/core/src/compiler").Compiler>;
    createColors(useColor?: boolean): RspackCLIColors;
    getLogger(): RspackCLILogger;
    run(argv: string[]): Promise<void>;
    registerCommands(): Promise<void>;
    buildConfig(item: any, options: RspackCLIOptions, rspackEnv: RspackEnv): Promise<any>;
    loadConfig(options: RspackCLIOptions): Promise<RspackOptions>;
}
export {};
//# sourceMappingURL=rspack-cli.d.ts.map